\papertitle{Abstracts}
%\paperauthor{}

\section{Debian Webservices Development}
\begin{flushright}
   {\em Frank Lichtenheld}
\end{flushright}

Debian has a lot of useful Web Services that collect and present data about Debian Development. However, they are only loosely integrated, mostly only by including links to each other (e.g. PDO <-> PTS), or by cron'ed data retrival (e.g. BTS -> DDPO, BTS -> PTS). While Debian is probably not a community that would like to loose its diversity in Services Development (i.e. One Service To Rule Them All, aka launchpad), better integration between these services is certainly possible and might lead to more efficency and usability. Some ideas that could be discussed at the BoF: 1) central usermanagment (i.e. don't force people to tell every website again and again which packages and maintainer addresses they are interested in; OpenID?) and persistent configuration (i.e. allow people to configure services via cookies, server-side stored information, centrally server-side stored information); 2) Dynamic data retrival; 3) Look (i.e. creating images and CSS that can easily be reused by many services instead of all the more or less different instances we currently have); etc.

\section{dak discussion / hacking session}
\begin{flushright}
   {\em Joerg Jaspert}
\end{flushright}

A BoF for people interested in dak, the Debian Archive Kit. Main target is discussion where we want to go, what needs to be in it, what should it do, etc. Also, if time permits (DebCamp lasts a week), also some hacking session implementing some features.

\section{Emdebian update}
\begin{flushright}
   {\em Neil Williams}
\end{flushright}

Emdebian GUI configuration and touchscreen support, root filesystem installation methods, remaining issues in cross building Debian and extending the package set and device support.

\section{Virtualisation in Debian}
\begin{flushright}
   {\em Jan Lübbe}
\end{flushright}

There are now many virtualization and emulation packages available on Debian. This talk will give an overview over the different approaches, their pros/cons and current states. I will also show where each of them is heading and what that means for Debian.

\section{Debian on the Neo1973/Freerunner}
\begin{flushright}
   {\em Jan Lübbe}
\end{flushright}

I'll show how to install Debian on the Neo1973/Freerunner.

\section{Debian Edu 100\% in main}
\begin{flushright}
   {\em Holger Levsen}
\end{flushright}

This talk will briefly explain what Debian Edu is, how we develop our distribution, how we differ from Debian, how we work on bridging the gaps that still exist and what our plans for the future are.

\section{SPI BOF}
\begin{flushright}
   {\em Bdale Garbee}
\end{flushright}

An opportunity to meet board members of Software in the Public Interest who are present at Debconf, and informally discuss the relationship between Debian and SPI, and the future of SPI.

\section{Managing 666 packages, or how to tame the beast}
\begin{flushright}
   {\em Martín Ferrari}
\end{flushright}

PET (Package Entropy Tracker) is a collection of scripts that gather information about your (or your group's) packages, based on the SVN repository, but reaching many external sources. It allows you to see in a bird's eye view the health of hundreds of packages, instantly realizing where work is needed.

%\begin{comment}

\section{dh\_make\_webapp: yeah right!}
\begin{flushright}
   {\em Andrew McMillan}
\end{flushright}

Any developers of web applications seem to live in a world of their own. They pull libraries from here there and everywhere written in multiple languages, with varying licenses. They expect the database to work the way their database does, they depend on specific versions of Java, PHP, Python, MySQL or other software and the debugging details seem to go into a black hole. In this talk I will review some of the functionality in and around Debian which can help work around these issues, and I will try and produce a checklist for developers to consider when trying to see if their software is able to be packaged easily.

%\end{comment}


\section{Locating bugs to kill with SOAP}
\begin{flushright}
   {\em Don Armstrong}
\end{flushright}

A tutorial on using the SOAP interface to the BTS as well as other methods of tracking, organizing, modifying, and killing bugs in the interest of developer sanity.

\section{Ruby packaging in Debian}
\begin{flushright}
   {\em Lucas Nussbaum}
\end{flushright}

The various Ruby-related teams are facing various challenges:
- how are we going to deal with the transition from Ruby 1.8 to Ruby 1.9 ?
- what should we do with jruby ?\r
- What should we do with gems ?

Ideally, we will have answers to all those questions at the end of this BOF :-)

\section{Organizing better in-person meetings}
\begin{flushright}
   {\em Lucas Nussbaum, César Gómez Martín}
\end{flushright}

In-person meetings, such as the ones organized by Extremadura, are a great opportunity for Debian. However, many participants to the various meetings held in the past feel that the way they were organized is suboptimal. For example, some participants prefer to use those meetings for discussions rather than usual Debian work, but then it's difficult to get some other people involved in the discussions. Ideally, the outcome of this BOF will be an HOWTO about how to organize successful meetings. With requirements, tips and tricks to get people involved, etc.

\section{Debian Derivers Roundtable}
\begin{flushright}
   {\em Andreas Tille}
\end{flushright}

The Debian-Derivers round-table will bring together representatives of organizations involved in producing Debian derived distributions to discuss the political, organizational, and social barriers to collaboration with Debian and with each other. The round table will include representatives of Canonical and Ubuntu, Skolelinux/Debian-Edu and a representative from the CDD community (e.g., Enrico Zini, Andreas Tille, etc). If available, it may also include representatives from any number of Spanish distributions distributions who may be in attendance (e.g., Guadalinex, Llurex, LinEx), Userlinux, and others. A complete roster will be created once conference attendees have been settled.

\section{Debian and LiMux}
\begin{flushright}
   {\em Florian Maier}
\end{flushright}

A meeting with two developers (and aspiring DD's, also ;-) of the Munich's LiMux team to share and discuss some details of our implementation of an open source desktop based on the fantastic Debian distribution. Discussion of possible synergy effects (it would be nice to get some kind of joint effort going). Everybody interested is welcome!

\section{Debian-Science}
\begin{flushright}
   {\em Andreas Tille}
\end{flushright}

The huge pool of packaged software inside Debian has the consequence that it also contains a large number of software which is used in day to day work of scientists.  But the pure fact that packages are available is not enough to attract scientist who frequently tend to so called "easy to install" distributions and just are not aware which profit they might gain from Debian.  Debian-Science has the goal to make Debian really attractive for scientists.

\section{Synfig - Animation in the free world}
\begin{flushright}
   {\em Paul Wise}
\end{flushright}

Short presentation about the Synfig animation studio, some of the animations produced by it, call for developers.



\section{Packaging with version control systems}
\begin{flushright}
   {\em Martin F. Krafft}
\end{flushright}

Version control systems are becoming more popular for package maintenance. In this talk, I present an overview of current practices and recent developments. I also report on the work of the vcs-pkg.org effort, which tries to identify a workflow for package maintenance which could yield better cross-distro collaboration.

\section{Debian and Ubuntu}
\begin{flushright}
   {\em Mark Shuttleworth}
\end{flushright}

Perspectives on collaboration - an analysis of current patterns of collaboration between Debian and one of its largest derivatives, Ubuntu, as well as proposals for additional pathways and processes for better collaboration in general between Debian and its derivatives.

\section{Herding Wild Cats}
\begin{flushright}
   {\em Bdale Garbee}
\end{flushright}

A brief history of the Debian project and description of how the key elements of the project  evolved and work today, from the perspective of someone who has been involved nearly since the beginning.

\section{LaTeX Beamer Debian Theme BOF}
\begin{flushright}
   {\em Andreas Tille}
\end{flushright}

The BOF with the same title was intended to find a consensus about some kind of corporate design for talks using LaTeX Beamer.  While there were some specifications done nothing happened regarding implementation. We should meet again and try to work on something.

%\begin{comment}

\section{Quality Assurance in lenny$+1$}
\begin{flushright}
   {\em Lucas Nussbaum}
\end{flushright}

What worked well in Quality Assurance for lenny$+1$? What didn't? What should we do for lenny$+1$?

The goal of this BOF is to put everybody interested in QA in the same room, to discuss:
- improvements in the way we work: can we be more efficient? What needs to be changed?
- which archive-wide tests/mass bug filings are people interested in doing during the lenny$+1$ release cycle?
- MIA and Bapase, or "how to keep track of the dark corners of Debian?"
- orphaned packages, and WNPP in general

A short introduction on those topics will be given, so people not familiar with the works of the QA team can participate in the discussions.

%\end{comment}

\section{Healthy CDDs}
\begin{flushright}
   {\em Andreas Tille}
\end{flushright}

The talk will give an overview of the status of the Debian-Med project and how it could work as an example for other CDDs.  Considering that specific things about medical software is of quite low interest for the DebConf audience the main focus of the talk will be the way from a one-man idea to a fully grown team that is working contiuosely to enhance Debian for a specific user group.  Experiences are shared how good tools and reasonable managemend can help to attract people-users and developers.

\section{Debian-Med BOF}
\begin{flushright}
   {\em Andreas Tille}
\end{flushright}

This should be an open discussion for all people interested in free software in health care.

\section{Method diffusion in large volunteer projects}
\begin{flushright}
   {\em Martin F. Krafft}
\end{flushright}

This presentation is about ongoing research on innovation diffusion in the Debian project. The goal is to determine the conditions under which volunteers adopt new approaches to everyday challenges and order them into a framework, which can be used prescriptively to help improve the diffusion of certain tools and foster the competition among contenders.

\section{Best practises in team-maintaining packages}
\begin{flushright}
   {\em Gregor Herrmann}
\end{flushright}

Team maintenance for (groups of) packages is en vogue; dozens or perhaps hundreds of packaging teams care for a subset of the Debian archive in a collaborative style.

This BOF offers the opportunity for members of different packaging teams to exchange their experiences, share their success and problem stories, and in general learn from each other.

\section{netconf}
\begin{flushright}
   {\em Martin F. Krafft}
\end{flushright}

This presentation introduces netconf, a network configuration management system designed with modern network infrastructures and the needs of roaming users in mind. The talk describes netconf's architecture and reports on the progress to date.


\section{Bringing closer Debian and Rails}
\begin{flushright}
   {\em Gunnar Wolf}
\end{flushright}

Ruby on Rails has become a very popular framework for Web-based applications. And, even though Rails itself is neatly packaged and integrated in Debian, supporting Rails applications (specially in a large-scale provider) can prove rather difficult. Besides the core application, we face problems such as handling plugins, concurrent versions, and the like. In this BoF session we will try and study the different problems we face, and come up with adequate solutions.

I'm only familiar with Ruby on Rails - but it might be interesting to have the opinion of people working with other similar-minded frameworks.



\section{Internationalization in Debian}
\begin{flushright}
   {\em Christian Perrier}
\end{flushright}

This keynote lecture will attempt to give the overall picture of the situation of internationalization and localization in the project. Topics:
- i18n team, l10n teams
- situation for various regions of the world 
- relations/non relations with derived distributions 
- situation in various areas covered by i18n (WWW, packages, documentation...)
- i18n infrastructure: where are we?

\section{Redesigning DEHS (a.k.a. changing the watch files atmosphere)}
\begin{flushright}
   {\em Raphael Stephane Geissert}
\end{flushright}

DEHS being more than four years old has only been modified to satisfy most of the current needs. Rewriting DEHS in perl with a new design, doing things at the right place (i.e. extraction of watch files), and more should be discussed and input, and code, from several people is needed.

\section{Debian-HPC: making Debian "the" distro for clusters and supercomputers}
\begin{flushright}
   {\em Fabricio Cannini Flores}
\end{flushright}

Enrico Zini's talk about world domination was missing an important step: clusters and supercomputers.

\section{Bits from NMs and users}
\begin{flushright}
   {\em Paul Wise}
\end{flushright}

Short presentation of the results of these two surveys, and a discussion about what the results mean for Debian.

http://lists.debian.org/debian-mentors/2008/03/msg00030.html

http://lists.debian.org/debian-user/2008/03/msg02475.html

A followup discussion on Ubuntu's strategies for attracting and training new developers and what Debian can learn from that. Also a discussion about how users transition from being purely users to helping develop Debian.

\section{Multi winner voting in Debian}
\begin{flushright}
   {\em Manoj Srivastava}
\end{flushright}

This will be a quick update of devotee functionality update to handle clone proof STV voting for multiple winners, which degenerates to our current process for single winner votes. This also serves as a bits from the secretary talk.

\section{Debian technical policy update}
\begin{flushright}
   {\em Manoj Srivastava}
\end{flushright}

This talk delivers a progress report of the policy process in Debian, tocuhing the new version control, BTS usetags and user categories, and the progress made in rewriting policy in docbook XML. This can be shorter than an hour if needed, though I can certainly find material to fill the hour.

\section{Debian Wiki}
\begin{flushright}
   {\em Franklin Piat}
\end{flushright}

During this work session will focus on two aspects, which should be completed by Lenny's release : Choose a license and get a new site layout.

\section{Debian: casos de éxito en implementaciones empresariales}
\begin{flushright}
   {\em José Miguel Parrella Romero}
\end{flushright}

En esta breve presentación se introducirá al participante en las aplicaciones empresariales de Debian, el sistema operativo libre y universal, y como puede una organización de cualquier objeto (pública, privada, académica, defensa, ONG) aprovecharse del modelo de desarrollo colaborativo que caracteriza a la distribución de software libre más grande del Mundo. Se visitarán casos de estudio en América Latina y otras regiones, delineando una estrategia de acercamiento para los participantes que deseen implementar Debian en sus organizaciones. La charla durará entre 45 y 60 minutos, y será realizada en castellano.

In this brief presentation participants will be introduced to enterprise applications of Debian, the free and universal operating system, and how an organization of any type (public, private, academic, defense, NGO) might take profit from the collaborative development approach featured by the biggest free software distribution in the world. Study cases from Latin America and other regions will be visited, scaffolding an approach strategy for those participants willing to deploy Debian in their institutions. The talk will take between 45 and 60 minutes and will be given in spanish.

\section{Internacionalización en Debian}
\begin{flushright}
   {\em César Gómez Martín}
\end{flushright}

Debian contiene numerosas aplicaciones software que tienen la característica de procesar datos en forma de texto, la mayoría de estas aplicaciones asumen que el texto está escrito en inglés (ASCII). El problema aparece cuando la gente cuyo idioma principal no es inglés intenta usar Debian. Aunque la mayoría del software que contiene Debian maneja ISO-8859-1 además de ASCII, algunas de ellas no pueden manejar caracteres de idiomas como chino, japonés o coreano.

Es absurdo pensar que una persona que quiere utilizar un ordenador debe aprender antes a hablar inglés, ahí es donde entra en juego la internacionalización de Debian.

\section{Proyecto gnuLinEx}
\begin{flushright}
   {\em César Gómez Martín}
\end{flushright}

En 1997 Extremadura comenzó a trabajar en la Estrategia Regional de la Sociedad de la Información en Extremadura (Proyecto Europeo Infodex). En 1998 el Presidente de Extremadura propuso una estrategia para el modelo de desarrollo regional apoyándose en las posibilidades que ofrecen las Tecnologías de la Información y las Comunicaciones. Las acciones estratégicas eran: 34 centros de alfabetización tecnológica, 1 PC para cada 2 estudiantes de secundaria en 2005, 60 nuevas empresas creadas en un vivero de empresas y una feria tecnológica anual.

Para lograr estos propósitos Extremadura necesitaba adaptabilidad, viabilidad, seguridad y acceso universal de los ciudadanos a las herramientas. Esta es la razón por la que se escogió desarrollar un sistema operativo libre llamado gnuLinEx basado en Debian.

\section{¿Qué es el Software Libre?}
\begin{flushright}
   {\em Gunnar Wolf}
\end{flushright}

Hay una duda muy común al contemplar nuestro trabajo, que mucha gente puede dar por obvia: ¿Qué es el software libre? ¿Qué hay detrás de nuestro movimiento? ¿Qué implicaciones tiene?

Posiblemente ya has asistido a pláticas que te presentan las famosas "cuatro libertades" y te presentan al Software Libre desde un punto de vista técnico. En esta plática, más bien, intento responder a estas dudas dando un énfasis diferente: elaboro sobre del Conocimiento Libre, y en el software como una expresión del conocimiento, de la ciencia, del desarrollo histórico de la humanidad.


\section{Hosting Caseros}
\begin{flushright}
   {\em Sebastian Montini}
\end{flushright}

Durante esta presentación se explicará cómo configurar un servidor web con bases de datos y un gestor de contenidos utilizando Software Libre (CMS: Joomla, Wordpress, Drupal o Wiki). Además, se explicará la configuración de los servicios de dns dinámicos para poner en marcha un servidor web con una PC y conexión a internet hogareña.

